
;**************************************
;clearsc
;clear screen
;paints the entire 800x600 BACKBUF
;64 bytes at a time with color 0xff only
;input=none
;return=none
;**************************************

_bkcolor db 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff

clearsc:
	pushad


	mov edi, BACKBUF 
	mov ecx,[BPSL64]  ;sizeof video buffer/64
	
	movq mm0, [_bkcolor] 
	movq mm1, [_bkcolor]
	movq mm2, [_bkcolor]
	movq mm3, [_bkcolor]
	movq mm4, [_bkcolor]
	movq mm5, [_bkcolor]
	movq mm6, [_bkcolor]
	movq mm7, [_bkcolor]
	
.1:
	;copy to BACKBUF
	movq [edi], mm0
	movq [edi+8], mm1
	movq [edi+16], mm2
	movq [edi+24], mm3
	movq [edi+32], mm4
	movq [edi+40], mm5
	movq [edi+48], mm6
	movq [edi+56], mm7

	add edi,64
	loop .1


	popad
	ret


