
;************************************
;cliprect
;modify the x,y,w,h of a rectangle
;to prevent falling off the screen
;and writting to non-video memory
;requires same args as fillrect
;x=ebx, y=eax, w=ecx, h=ebp
;************************************
_xclip dd 0
_yclip dd 0
_wclip dd 0
_hclip dd 0

cliprect:
	push eax
	
	;check x
	mov eax,790   ;xmax
	call min
	mov dword [_xclip],eax

	;check y
	pop eax
	mov ebx,590  ;ymax
	call min
	mov dword [_yclip],eax

	;check w
	mov eax,795
	sub eax,[_xclip]  ;wmax=795-xclip
	mov ebx,ecx
	call min
	mov dword [_wclip],eax
	
	;check h
	mov eax,595
	sub eax,[_yclip]  ;hmax=595-yclip
	mov ebx,ebp
	call min
	mov dword [_hclip],eax

	mov ebx,[_xclip]
	mov eax,[_yclip]
	mov ecx,[_wclip]
	mov ebp,[_hclip]

	ret
	
