
;********************************************************
;getc
;get a single keypress from 0x504
;no echo
;char is returned in al
;*******************************************************

getc:
	xor eax,eax

.getc_mainloop:
	;wait for irq1 to give us the keypress
	;the byte is stored at address 0x504
	;see keyboard.s
	cmp byte [0x504],0
	je .getc_mainloop


	;return the ascii char in al
	mov al,[0x504]

	;reset for subsequent read operations
	mov byte [0x504],0

	ret


