;**************************
;ptinrect
;clears zf if ptinrect
;pt1 is upper left corner of rect
;pt2 is lower right corner of rect
;eax=x1 
;ebx=y1 
;ecx=x2
;edx=y2
;esi=Px of point
;edi=Py of point
;*************************

ptinrect:
	pushad

	;test between x1 and x2
	cmp eax,esi
	sets al
	cmp ecx,esi
	sets cl
	cmp al,cl
	;if ptinrect, al=1, cl=0 so ZF=0 at this point
	jz .2  ;failure

	;test between y1 and y2
.1: cmp ebx,edi
	sets bl
	cmp edx,edi
	sets dl
	cmp bl,dl

.2: popad
	ret
	


