	call [CLEARSC]  

	MAC_PUTS 0,0,str7,BLA,CYA
	

	;display a particular page of information
	cmp dword [page],0
	jz near .page0
	cmp dword [page],1
	jz near .page1
	cmp dword [page],2
	jz near .page2

	jmp .bottomofscreen



	;***********************
	;display PCI space info
	;***********************

.page0:


	MAC_PUTS 0,40,str42,BLA,CYA


	;qty controllers
	mov ax,[0x55c]
	MAC_PUTEAX 0,60,BLU,CYA,1
	MAC_PUTS 50,60,str8,BLA,CYA
	
	;which controller number are we looking at ?
	mov ax,[controllernum]
	MAC_PUTEAX 0,80,BLU,CYA,1
	MAC_PUTS 50,80,str6,BLA,CYA

	;bus number
	mov al,[bus]
	MAC_PUTEAX 0,100,BLU,CYA,2
	MAC_PUTS 50,100,str24,BLA,CYA

	;device number
	mov al,[device]
	MAC_PUTEAX 0,120,BLU,CYA,2
	MAC_PUTS 50,120,str25,BLA,CYA

	;function number
	mov al,[function]
	MAC_PUTEAX 0,140,BLU,CYA,2
	MAC_PUTS 50,140,str26,BLA,CYA


	;display VID
	mov ax,[vid]
	MAC_PUTEAX 0,160,BLU,CYA,1
	MAC_PUTS 50,160,str9,BLA,CYA

	;display DID
	mov ax,[did]
	MAC_PUTEAX 0,180,BLU,CYA,1
	MAC_PUTS 50,180,str10,BLA,CYA


	;display PCICMD
	mov ax,[pcicmd]
	MAC_PUTEAX 0,200,BLU,CYA,1
	MAC_PUTS 50,200,str12,BLA,CYA


	;display CLASSC
	mov eax,[classc]
	MAC_PUTEAX 0,220,BLU,CYA,0
	MAC_PUTS 100,220,str13,BLA,CYA


	;display LATENCY
	mov al,[latency]
	MAC_PUTEAX 0,240,BLU,CYA,2
	MAC_PUTS 50,240,str20,BLA,CYA


	;display HEDT
	mov al,[hedt]
	MAC_PUTEAX 0,260,BLU,CYA,2
	MAC_PUTS 50,260,str17,BLA,CYA


	;display LEGSUP
	mov ax,[legsup]
	MAC_PUTEAX 0,280,BLU,CYA,1
	MAC_PUTS 50,280,str19,BLA,CYA


	;display USBBA
	mov eax,[usbba]
	MAC_PUTEAX 0,300,BLU,CYA,0
	MAC_PUTS 100,300,str11,BLA,CYA


	;diplay USB_RES
	mov al,[usbres]
	MAC_PUTEAX 0,320,BLU,CYA,2
	MAC_PUTS 50,320,str40,BLA,CYA


	;display PIRQD routing (which irq)
	mov al,[pirqd]
	MAC_PUTEAX 0,340,BLU,CYA,2
	MAC_PUTS 50,340,str46,BLA,CYA



	;instructions
	MAC_PUTS 0,400,str35,MAG,CYA
	MAC_PUTS 0,420,str27,MAG,CYA
	MAC_PUTS 0,440,str44,MAG,CYA


	jmp .bottomofscreen







	;******************
	;usb i/o space
	;******************
	
.page1:


	MAC_PUTS 0,40,str43,BLA,CYA


	;display the USBCMD command register contents
	mov ax,[usbcmd]
	MAC_PUTEAX 0,60,BLU,CYA,1
	MAC_PUTS 50,60,str16,BLA,CYA


	;display the USBSTS status register contents
	mov ax,[usbsts]
	MAC_PUTEAX 0,80,BLU,CYA,1
	MAC_PUTS 50,80,str23,BLA,CYA


	;display the PORTSC0 port register's contents
	mov ax,[portsc0]
	MAC_PUTEAX 0,100,BLU,CYA,1
	MAC_PUTS 50,100,str14,BLA,CYA
	
	MAC_PUTS 400,100,str57,BLA,CYA
	test word [portsc0],100000000b
	jz .fullspeed
	MAC_PUTS 610,100,str59,BLU,CYA  ;fullspeed=N
	jmp .testenabled
.fullspeed:
	MAC_PUTS 610,100,str58,BLU,CYA  ;fullspeed=Y
.testenabled:
	test word [portsc0],100b
	jz .portdisabled
	MAC_PUTS 480,100,str58,BLU,CYA  ;enabled=Y
	jmp .testdevicepresent
.portdisabled
	MAC_PUTS 480,100,str59,BLU,CYA  ;enabled=N
.testdevicepresent:
	test word [portsc0],1b
	jz .nodevice
	MAC_PUTS 710,100,str58,BLU,CYA  ;devicepresent=Y
	jmp .endporttest
.nodevice
	MAC_PUTS 710,100,str59,BLU,CYA  ;devicepresent=N
.endporttest:



	;display the USBINTR interrupt enable register contents
	mov ax,[usbintr]
	MAC_PUTEAX 0,120,BLU,CYA,1
	MAC_PUTS 50,120,str32,BLA,CYA

	;display the FRNUM frame number register contents
	mov ax,[frnum]
	MAC_PUTEAX 0,140,BLU,CYA,1
	MAC_PUTS 50,140,str33,BLA,CYA

	;display the FLBASEADD frame list base address register
	mov eax,[flbaseadd]
	MAC_PUTEAX 0,160,BLU,CYA,0
	MAC_PUTS 100,160,str34,BLA,CYA

	;display tdCommand control/status dword
	mov eax,[tdCommand+4]
	MAC_PUTEAX 0,180,BLU,CYA,0
	MAC_PUTS 100,180,str50,BLA,CYA

	;display tdData control/status dword
	mov eax,[tdData+4]
	MAC_PUTEAX 0,200,BLU,CYA,0
	MAC_PUTS 100,200,str51,BLA,CYA

	;display tdStatus control/status dword
	mov eax,[tdStatus+4]
	MAC_PUTEAX 0,220,BLU,CYA,0
	MAC_PUTS 100,220,str52,BLA,CYA
	


	;display data returned by the usb device
	MAC_PUTS 0,240,str53,BLA,CYA
	mov ebx,0
	mov eax,260
	mov esi,devicedata
	mov ebp,[qtydevicedata]
	call [DUMPMEM]


	;various USB Descriptor Fields 
	mov al,[bNumConfigurations]
	MAC_PUTEAX 550,300,BLU,CYA,2
	MAC_PUTS   600,300,str60,BLA,CYA 
	mov al,[bNumInterfaces]
	MAC_PUTEAX 550,320,BLU,CYA,2
	MAC_PUTS   600,320,str61,BLA,CYA 
	mov al,[bConfigurationValue]
	MAC_PUTEAX 550,340,BLU,CYA,2
	MAC_PUTS   600,340,str62,BLA,CYA 
	mov al,[bNumEndpoints]
	MAC_PUTEAX 550,360,BLU,CYA,2
	MAC_PUTS   600,360,str63,BLA,CYA 
	mov al,[bInterfaceClass]
	MAC_PUTEAX 550,380,BLU,CYA,2
	MAC_PUTS   600,380,str64,BLA,CYA 
	mov al,[bInterfaceSubClass]
	MAC_PUTEAX 550,400,BLU,CYA,2
	MAC_PUTS   600,400,str65,BLA,CYA 
	mov al,[bEndpointAddress1]
	MAC_PUTEAX 550,420,BLU,CYA,2
	MAC_PUTS   600,420,str66,BLA,CYA 
	mov ax,[wMaxPacketSize1]
	MAC_PUTEAX 550,440,BLU,CYA,1
	MAC_PUTS   600,440,str67,BLA,CYA 
	mov al,[bEndpointAddress2]
	MAC_PUTEAX 550,460,BLU,CYA,2
	MAC_PUTS   600,460,str66,BLA,CYA 
	mov ax,[wMaxPacketSize2]
	MAC_PUTEAX 550,480,BLU,CYA,1
	MAC_PUTS   600,480,str67,BLA,CYA 



	;instructions
	MAC_PUTS 0,360,str29,MAG,CYA  ;read usb regs
	MAC_PUTS 0,380,str41,MAG,CYA  ;reset/enable controller
	MAC_PUTS 0,400,str36,MAG,CYA  ;reset/enable ports
	MAC_PUTS 0,420,str48,MAG,CYA  ;SetAddress
	MAC_PUTS 0,440,str49,MAG,CYA  ;GetDeviceDescriptor
	MAC_PUTS 0,460,str54,MAG,CYA  ;GetConfigDescriptor
	MAC_PUTS 0,480,str55,MAG,CYA  ;GetConfigInterEndptDescriptor
	MAC_PUTS 0,500,str56,MAG,CYA  ;SetConfiguration
	MAC_PUTS 0,520,str76,MAG,CYA  ;GetConfiguration
	MAC_PUTS 0,540,str44,MAG,CYA  ;pageup/dn

	jmp .bottomofscreen




	;***********************
	;   scsi commands
	;***********************

.page2:

	;display tdCommand control/status dword
	mov eax,[tdCommand+4]
	MAC_PUTEAX 0,40,BLU,CYA,0
	MAC_PUTS 100,40,str50,BLA,CYA

	;display tdData control/status dword
	mov eax,[tdData+4]
	MAC_PUTEAX 0,60,BLU,CYA,0
	MAC_PUTS 100,60,str51,BLA,CYA

	;display tdStatus control/status dword
	mov eax,[tdStatus+4]
	MAC_PUTEAX 0,80,BLU,CYA,0
	MAC_PUTS 100,80,str52,BLA,CYA


	;display data returned by the usb device
	MAC_PUTS 0,160,str53,BLA,CYA
	mov ebx,0
	mov eax,180
	mov esi,devicedata
	mov ebp,[qtydevicedata]
	call [DUMPMEM]


	;display the CSW
	MAC_PUTS 0,240,str77,BLA,CYA
	mov ebx,0
	mov eax,260
	mov esi,scsiCSW
	mov ebp,13
	call [DUMPMEM]


	;1st column of instructions for scsi page
	MAC_PUTS 0,300,str79,MAG,CYA  ;Inquiry
	MAC_PUTS 0,320,str78,MAG,CYA  ;TestUnitReady
	MAC_PUTS 0,340,str86,MAG,CYA  ;RequestSense
	MAC_PUTS 0,360,str70,MAG,CYA  ;ReadCapacity
	
	;2nd column of instructions
	MAC_PUTS 250,300,str80,MAG,CYA  ;Read10CBW
	MAC_PUTS 250,320,str81,MAG,CYA  ;ReadData
	MAC_PUTS 250,340,str82,MAG,CYA  ;Read10CSW
	MAC_PUTS 250,360,str83,MAG,CYA  ;Write10CBW
	MAC_PUTS 250,380,str84,MAG,CYA  ;WriteData
	MAC_PUTS 250,400,str85,MAG,CYA  ;Write10CSW

	;3rd column of instructions
	MAC_PUTS 500,300,str75,MAG,CYA  ;zero td
	MAC_PUTS 500,320,str68,MAG,CYA  ;BulkResetRecovery
	MAC_PUTS 500,340,str73,MAG,CYA  ;ClearBulkIn
	MAC_PUTS 500,360,str74,MAG,CYA  ;ClearBulkOut
	MAC_PUTS 500,380,str72,MAG,CYA  ;GetMaxLun
	MAC_PUTS 500,400,str44,MAG,CYA  ;pageUP/DN


	jmp .bottomofscreen
	




	
	;****************************************
	;misc stuff at the bottom of the screen
	;****************************************

.bottomofscreen:

	;feedback message
	MAC_FILLRECT 0,580,500,20,BLA 
	MAC_PUTS 10,580,[feedback],GRE,BLA


	MAC_SHOWMOUSEXY 600,580,RED,CYA
	
	;scriptT
	mov ebx,770
	mov eax,580
	mov ecx,20
	mov ebp,20
	mov esi,scriptT
	call [PUTBITS]  


.endpaint
	call [SWAPBUF] 
