

;***********************************
;fillrect
;ebx = xstart - upper left col, pixel
;eax = ystart - upper left row, pixel
;ecx = width,pixels 
;ebp = height,pixels
;esi = color index (0-255)
;**********************************

fillrect:
	pushad

	;compute address of first pixel in back buffer
	MAC_GETPIXAD ebx,eax

	mov edx,[BPSL] ;bytesperscanline
	sub edx,ecx  
	;edx now holds qty bytes to advance video buffer to next row

	mov ax,si    ;color to al
	cld          ;increment
	mov ebx,ecx  ;save width


	;set pixels 
.1:	rep stosb   ;al->edi set entire row of pixels
	dec ebp     ;one less row
	je .2
	add edi,edx ;increment video buffer to next row
	mov ecx,ebx ;rep destroys ecx so restore for next row
	jmp .1

.2:	popad
	ret



