
;********************************************
; display a bm8 file
; A bm8 file is a binary image file I cooked up
; The program "bm8gen" is used to generate
; bm8 files from 24bpp bmp files.
; the file format is as follows:
; dword bmwidth (must be multiple of 4)
; dword bmheight
; 256*3=768 bytes of color table rgbrgbrgb...
; each byte of the color table
; must be scaled 0-63 for the DAC
; the last 16 colors must be the basic colors
; then follow the top down left2right bits
; esi = address of bitmap
; ebx = x location, pixels
; eax = y location, pixels
;******************************************** 
putbm8:
	pushad
	push esi
	
	add esi,8
	mov ecx,256*3
	call setpalette
	pop esi
	mov ecx,[esi]           ;width
	mov ebp,[esi+4]         ;height
	add esi,8+256*3         ;address of bits
	call putbits4

	popad
	ret
	


