
;********************************************************
;strlen
;eax=pointer to 0 terminated string
;returns string length in ecx (not counting terminator)
;author: Paul Hsieh
;source: John Eckerdahl Assy Gems
;the loop has been unrolled 4 times for speed
;note Pauls use of the U/V pipes
;********************************************************
strlen:
	push ebx
	lea ecx,[eax-1]
l1: inc ecx
	test ecx,3
	jz l2
	cmp byte [ecx],0
	jne l1
	jmp l6
l2: mov ebx,[ecx]       ; U
	add ecx,4           ; V
	test bl,bl          ; U
	jz l5               ; V
	test bh,bh          ; U
	jz l4               ; V
    test ebx,0ff0000h   ; U
	jz l3               ; V
    test ebx,0ff000000h ; U
	jnz l2              ; V +1brt
	inc ecx
l3: inc ecx
l4: inc ecx
l5: sub ecx,4
l6: sub ecx,eax
	pop ebx
	ret
	
